- Qt 6.8
- Qt Core
- C++ Classes
- QLibraryInfo
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QLibraryInfo

The following members of class QLibraryInfo are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated in 6.0)` | LibraryLocation

## Static Public Members

`(deprecated in 6.0)` QString | location(QLibraryInfo::LibraryLocation loc)

## Member Type Documentation

### `[alias, deprecated in 6.0]` QLibraryInfo::LibraryLocation

This typedef is deprecated since 6.0. We strongly advise against using it in new code.

Use LibraryPath with QLibraryInfo::path() instead.

## Member Function Documentation

### `[static, deprecated in 6.0]` QString QLibraryInfo::location(QLibraryInfo::LibraryLocation loc)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use path() instead.

Returns the path specified by loc.